<div id="{{ isset($more_news_id) ? $more_news_id : 'moreNews' }}" class="moreNews col-md-12 col-sm-6" data-limit="{{ isset($limit) ? $limit : '' }}" data-offset="{{ isset($offset) ? $offset : ''}}" data-slug="{{ isset($slug) ? $slug : '' }}">
    <div id="load-more">{{ $title ?? 'More News Stories' }}</div>
    <div id="patternRow"></div>
</div>

@push('scripts')
<script>

    $(function () {
        $('#moreNews').click(function () {

            var limit = $(this).data('limit');
            var offset = $(this).data('offset');
            var slug = $(this).data('slug');

            $.post('/{{ $path }}/more_articles', {limit: limit,  offset: offset, slug: slug}, function (data) {

                $('#{{ $article_content_box_id }}').append(data);
                $('#moreNews').data('offset', limit + offset)
            })
        });
    });
</script>
@endpush
